System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeReturnReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class provides a non-reading implementation of the interface of the abstract class .

You typically will not need to use the class. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, .it applies the to each Web method and, by default, sets the attribute's property to , another class derived from . Wsdl.exe sets the property to if it is otherwise unable to determine a value.

Serves as a non-acting reader of incoming response return values for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  An initializer is an object passed as a parameter to the method. For the class, the initializer is the instance referred to by the keyword this.

  Returns an initializer for the specified method.

  An initializer for the specified method.

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method does nothing. It is invoked at the time a response is processed. The input parameter, , is another instance of the class that is obtained during client initialization.

  Initializes an instance.

  Another instance of the class, on which the method was previously called. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  The class's implementation of the method does no reading. Instead it returns null. It also closes the response stream.

  Returns null instead of deserializing the HTTP response stream into a Web method return value.

  null.

  A object containing the output message for an operation. A whose content is the body of the HTTP response represented by the parameter. 1.0.5000.0 2.0.0.0